#ifndef _AIOERROR_HXX
#define _AIOERROR_HXX

#define AIO_SUCCESS                   0x0
#define AIO_ERROR                    -0x1
#define AIO_REMOTEERROR              -0x2
#define AIO_OPENERROR                -0x4
#define AIO_OPENAGAIN                -0x5
#define AIO_READINWRITESESSION       -0x6
#define AIO_WRITEINREADSESSION       -0x7
#define AIO_SEEKINWRITESESSION       -0x8
#define AIO_NETREADERROR             -0x10
#define AIO_NETWRITEERROR            -0x11
#define AIO_REMOTEREADERROR          -0x12
#define AIO_REMOTEWRITEERROR         -0x13
#define AIO_CONNECTIONERROR          -0x14
#define AIO_ILLEGALGUID              -0x15
#define AIO_ACCESSDENIED             -0x18
#define AIO_FILENOTEXISTING          -0x19
#define AIO_FILENAMETOOLONG          -0x20
#define AIO_MAXBLOCKEXCEEDED         -0x21
#define AIO_REMOTEFILESIZEERROR      -0x22
#define AIO_WRITEISEXCLUSIVE         -0x23
#define AIO_SERVERFULL               -0x24
#define AIO_LOCALREADERROR           -0x30
#define AIO_LOCALWRITEERROR          -0x31
#define AIO_NOENVELOPE               -0x100
#define AIO_CRYPTENVERROR            -0x101
#define AIO_DECRYPTENVERROR          -0x102
#define AIO_KEYERROR                 -0x103
#define AIO_NOSERVERSSLSUPPORT       -0x104
#define AIO_NOCLIENTSSLSUPPORT       -0x105
#define AIO_NOCACHE                  -0x200
#define AIO_CACHEZOMBIE              -0x201
#define AIO_REDIRECTED               -0x400
extern const char* aio_perror(int myerrno);
#endif
